This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 70697 - does not ask user for root password
does not ask user for root password
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-04 03:39 EDT by Bill
Modified: 2015-01-07 18:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-05 18:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill 2002-08-04 03:39:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
user enters up2date at prompt and up2date proceeds without requesting
root password

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.up2date --configure   (password requested)
2.up2date               (no request for password)
3.up2date --configure   (password requested)
4.up2date               (no password request)
5.up2date               (no password request)
6.up2date               (no password request)	

Actual Results:  up2date proceded normally to message that system fully updated and
no new packages needed.


Expected Results:  Expected pop up box requesting that the root password be entered

Additional info:

Before sending this report, tried up2date once more and
this time it did request the root password.  Did nothing except
spend time filling out this report.
Comment 1 Miloslav Trmac 2002-08-04 07:45:24 EDT
It seems most RH config tools now use pam_timestamp.so (written IIRC by
nalin@redhat.com), which is supposed to "remember" that you were asked for the
root password recently, so this may be intentional. I don't know how long the
timeout is, however.
Comment 2 Adrian Likins 2002-08-05 18:28:45 EDT
Sounds like pam_timestamp to me as well.

Note You need to log in before you can comment on or make changes to this bug.